Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1442510

Summary: Review Request: nodejs-shallow-clone - Make a shallow clone of an object, array or primitive
Product: [Fedora] Fedora Reporter: Jared Smith <jsmith.fedora>
Component: Package ReviewAssignee: Robert-André Mauchin <zebob.m>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-09-18 14:29:33 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1442508    
Bug Blocks: 956806, 1387531, 1442511    

Description Jared Smith 2017-04-15 01:12:51 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-shallow-clone/nodejs-shallow-clone.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-shallow-clone/nodejs-shallow-clone-0.1.2-2.fc27.src.rpm
Description: Make a shallow clone of an object, array or primitive
Fedora Account System Username: jsmith

Comment 1 Robert-André Mauchin 2017-09-14 15:40:27 UTC
Please bump the package to version 1.0.0.

You'll probably need to bump the versions in package.json to handle the dependencies correctly:

diff -up package/package.json.fix_metadata package/package.json
--- package/package.json.fix_metadata	2017-09-14 17:32:47.905729241 +0200
+++ package/package.json	2017-09-14 17:33:25.442646994 +0200
@@ -24,9 +24,9 @@
     "test": "mocha"
   },
   "dependencies": {
-    "is-extendable": "^0.1.1",
+    "is-extendable": "^1.0.0",
     "kind-of": "^5.0.0",
-    "mixin-object": "^2.0.1"
+    "mixin-object": "^3.0.0"
   },
   "devDependencies": {
     "gulp-format-md": "^1.0.0",

Comment 3 Robert-André Mauchin 2017-09-15 23:59:28 UTC
You should

%nodejs_fixdep is-extendable
%nodejs_fixdep mixin-object

otherwise you'll get issues with dependencies.

Comment 4 Jared Smith 2017-09-16 10:58:55 UTC
'Requested package in ticket https://pagure.io/releng/fedora-scm-requests/issue/1217'

Comment 5 Gwyn Ciesla 2017-09-18 11:15:59 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nodejs-shallow-clone

Comment 6 Jared Smith 2017-09-18 14:29:33 UTC
In rawhide, closing bug